Welcome to the new WEEX API documentation. Looking for the previous version?Switch to the legacy docs
WEEX
WEEX Partner REST API

Partner Endpoints

Endpoint

Get Affiliate UIDs

Get Affiliate UIDs.

GET
/api/v3/rebate/affiliate/getAffiliateUIDs
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight20

Get Affiliate UIDs › query Parameters

uid
​integer

Invited User UID

startTime
​integer

Start timestamp in UTC (milliseconds). Must fall within the past 1 year; defaults to 90 days prior to endTime when omitted.

endTime
​integer

End timestamp in UTC (milliseconds). Must be greater than startTime; total range cannot exceed 90 days.

page
​integer

Page number (starting from 1, default 1)

pageSize
​integer

Page size (default 100)

Get Affiliate UIDs › Responses

200

Successful response

pages
​integer

Total pages

pageSize
​integer

Page size

total
​integer

Total records

​object[]

Affiliate user items

uid
​string

Invited User UID

registerTime
​integer

Registration timestamp, unit: milliseconds

kycResult
​boolean

KYC status

inviteCode
​string

Invitation Code

firstTrade
​integer

First trade time (milliseconds)

lastTrade
​integer

Latest trade time (milliseconds)

firstDeposit
​integer

First deposit time (milliseconds)

lastDeposit
​integer

Latest deposit time (milliseconds)


Get Affiliate Referral Data

Get Affiliate Referral Data.

GET
/api/v3/rebate/affiliate/getChannelUserTradeAndAsset
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight20

Get Affiliate Referral Data › query Parameters

uid
​integer

Invited User UID

startTime
​integer

Start timestamp in UTC (milliseconds)

endTime
​integer

End timestamp in UTC (milliseconds)

page
​integer

Page number (starting from 1, default 1)

pageSize
​integer

Page size (default 100)

Get Affiliate Referral Data › Responses

200

Successful response

pages
​integer

Total pages

pageSize
​integer

Page size

total
​integer

Total records

​object[]

Aggregated records

uid
​string

Invited User UID

depositAmount
​string

Deposit Amount

withdrawalAmount
​string

Withdrawal Amount

spotTradingAmount
​string

Spot Trading Volume

futuresTradingAmount
​string

Futures Trading Volume

commission
​string

Commission


Get Affiliate Commission

Get Affiliate Commission.

GET
/api/v3/rebate/affiliate/getAffiliateCommission
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight20

Get Affiliate Commission › query Parameters

uid
​integer

Invited User UID

startTime
​integer

Start timestamp in UTC (milliseconds). Default: 7 days ago,Max range: 3 months

endTime
​integer

End timestamp in UTC (milliseconds). Default: current time,Max range: 3 months

coin
​string

USDT or BTC

productType
​string

SPOT or FUTURES (default SPOT)

page
​integer

Page number (starting from 1, default 1)

pageSize
​integer

Page size (default 100)

Get Affiliate Commission › Responses

200

Successful response

pages
​integer

Total pages

pageSize
​integer

Page size

total
​integer

Total records

​object[]

Commission records

uid
​string

Invited User UID

date
​integer

Commission timestamp, unit: milliseconds

coin
​string

USDT, BTC ...

fee
​string

Net Trading Fee

commission
​string

Paid Commission

rate
​string

Rebate Rate

productType
​string

Product Type

symbol
​string

Trading Pair

sourceType
​integer

1: Direct Client, 2: Sub-agent

takerAmount
​string

Taker Amount (Trading Volume)

makerAmount
​string

Maker Amount (Trading Volume)


Internal Withdrawal

Internal Withdrawal.

POST
/api/v3/rebate/affiliate/internalWithdrawal
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight100

Internal Withdrawal › Request Body

toUserId
​integer · required

Transfer-in user ID

coin
​string · required

Currency type (USDT, BTC)

amount
​string · required

Transfer amount (Up to 6 decimal places)

fromAccountType
​string

Type of the originating account(SPOT: spot wallet, FUND: funding wallet, Default: SPOT)

toAccountType
​string

Type of the target account (SPOT: spot wallet, FUND: funding wallet, Default: SPOT)

Internal Withdrawal › Responses

200

Successful response

string

Returns the transfer ID as a string when the request succeeds.


Get Internal Withdrawal Status

Get Internal Withdrawal Status.

GET
/api/v3/rebate/affiliate/getInternalWithdrawalStatus
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight100

Get Internal Withdrawal Status › query Parameters

withdrawID
​string

Withdraw ID

coin
​string

Currency type (USDT, BTC)

startTime
​integer

Start timestamp in UTC (milliseconds)(Only data from the past month can be queried)

endTime
​integer

End timestamp in UTC (milliseconds)(Only data from the past month can be queried)

fromAccountType
​string

Type of the originating account(SPOT: spot wallet, FUND: funding wallet, Default: SPOT)

toAccountType
​string

Type of the target account (SPOT: spot wallet, FUND: funding wallet, Default: SPOT)

page
​integer

Page number (starting from 1, default 1)

pageSize
​integer

Page size (default 100, max 200)

Get Internal Withdrawal Status › Responses

200

Successful response

total
​integer

Total records

page
​integer

Current page number

pageSize
​integer

Page size

pages
​integer

Total pages

hasNextPage
​boolean

Whether more pages exist

​object[]

Withdrawal records

fromUserId
​integer

Transfer out User ID

toUserId
​integer

Transfer in User ID

withdrawId
​string

Withdraw ID

coin
​string

USDT, BTC ...

status
​string

Possible values: SUCCESSFAILEDPROGRESSING

amount
​string

Transfer amount

createTime
​integer

Withdraw created timestamp (ms)

updateTime
​integer

Withdraw updated timestamp (ms)


Get Subaffiliates Data (affiliate only)

Get Subaffiliates Data (affiliate only).

POST
/api/v3/rebate/affiliate/querySubChannelTransactions
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight10

Get Subaffiliates Data (affiliate only) › Request Body

productType
​string · required

Product type (SPOT or FUTURES)

subUid
​integer

Sub-affiliate's UID

startTime
​integer

Start timestamp (UTC milliseconds)

endTime
​integer

End timestamp (UTC milliseconds)

pageNum
​integer

Page number (starts from 1, default 1)

pageSize
​integer

Items per page (default 100)

Get Subaffiliates Data (affiliate only) › Responses

200

Successful response

​object[]

Sub-affiliate records

subAffiliateUid
​string

Sub-affiliate ID

productType
​string

Product Type

date
​string

Date

tradingVolume
​string

Total Trading Volume

netTradingFee
​string

Net Trading Fee Collected by Platform

paidCommission
​string

Actual Rebate Amount

total
​integer

Total records

size
​integer

Page size

current
​integer

Current page

pages
​integer

Total pages


Verify Referrals

Verify Referrals.

GET
/api/v3/agency/verifyReferrals
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight10

Verify Referrals › query Parameters

userIds
​string · required

Comma-separated UID list (for example 12345,67890). Supports up to 100 UIDs per call.

Verify Referrals › Responses

200

Successful response

​object[]
isRefferal
​boolean

true if the UID belongs to the current affiliate

uid
​integer

UID that was checked


Get Affiliate Member Assets

Get Affiliate Member Assets.

GET
/api/v3/agency/getAssert
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight10

Get Affiliate Member Assets › query Parameters

userId
​integer · required

Direct customer UID

startTime
​string

Optional start time (UTC, format yyyy-MM-dd)

endTime
​string

Optional end time (UTC, format yyyy-MM-dd, defaults to current if absent)

Get Affiliate Member Assets › Responses

200

Successful response

availableBalance
​string

Available balance in USDT

contractTotalUsdt
​string
depositList
​array

Deposit records

depositTotalAmount
​string

Cumulative deposit amount within the time window

fundingTotalUsdt
​string

Total funding account equity in USDT

spotProTotalUsdt
​string

Total spot account equity in USDT

unimarginTotalUsdt
​string

Total contract account equity in USDT


Get Affiliate Deal Data

Get Affiliate Deal Data.

GET
/api/v3/agency/getDealData
https://api-spot.weex.com
Request weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate-limit capacity.
Learn more in the Access Restrictions section.
IP weight10

Get Affiliate Deal Data › query Parameters

userIds
​integer

Optional repeated query parameter (e.g. userIds=123&userIds=456). Defaults to all direct users

startTime
​string

Filter start date (UTC, format yyyy-MM-dd)

endTime
​string

Filter end date (UTC, format yyyy-MM-dd)

Get Affiliate Deal Data › Responses

200

Successful response

​object[]

Trading statistics returned by the upstream service

futuresProDealAmountUsdt
​string

Futures trading volume (USDT)

spotDealAmountUsdt
​string

Spot trading volume (USDT)

spotProDealAmountUsdtTemp
​string

Spot trading volume (raw value returned by partner system)

userId
​integer

UID of the queried customer

endTime
​string

End date applied by the upstream service (yyyy-MM-dd)

startTime
​string

Start date applied by the upstream service (yyyy-MM-dd)